import { Schema } from "./Schema";
import { IVoxaSheet } from "./VoxaSheet";
export declare class AlexaSchema extends Schema {
    environment: string;
    constructor(voxaSheets: IVoxaSheet[], interactionOptions: any);
    validate(): void;
    build(locale: string, environment: string): void;
    buildPublishing(environment: string): void;
    contentLanguageModel(locale: string, environment: string): {
        interactionModel: {
            languageModel: {
                invocationName: string;
                intents: {
                    name: string;
                    samples: string[];
                    slots: import("./Schema").ISlotDefinition[];
                }[];
                types: {
                    name: string;
                    values: {
                        name: import("./Schema").ISlotSynonymns;
                    }[];
                }[];
            };
        };
    };
    buildLanguageModel(locale: string, environment: string): void;
}
