"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const _ = require("lodash");
const Excel_1 = require("./Excel");
const Google_1 = require("./Google");
const Office365_1 = require("./Office365");
function transform(options, authKeys) {
    return __awaiter(this, void 0, void 0, function* () {
        const googleSheet = yield Google_1.buildFromGoogleSheets(options, authKeys);
        const excelSheet = yield Excel_1.buildFromLocalExcel(options);
        const office365Sheet = yield Office365_1.buildFromOffice365(options);
        const transformedSpreadsheet = _.concat(googleSheet, excelSheet, office365Sheet);
        if (_.isEmpty(transformedSpreadsheet)) {
            throw new Error("There are no spreadsheets to use. Make sure to copy/paste a spreadsheet URL, office 365 sharepoint url, a or local .xlsx, .ods or .fods");
        }
        return transformedSpreadsheet;
    });
}
exports.transform = transform;
//# sourceMappingURL=Spreadsheet.js.map