"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _ = require("lodash");
const VoxaSheet_1 = require("../VoxaSheet");
function findSheetType(spreadsheet) {
    const processorFound = _.chain(VoxaSheet_1.SheetTypes)
        .invert()
        .find((key, value) => {
        return spreadsheet.sheetTitle.indexOf(value) >= 0;
    })
        .value();
    spreadsheet.type = processorFound;
    if (processorFound) {
        return spreadsheet;
    }
    return undefined;
}
exports.findSheetType = findSheetType;
function rowFormatted(acc, next, iindex, arr) {
    const item = _.chain(arr)
        .head()
        .zip(next)
        .map((zipObj) => [zipObj[0], valueFormatted(zipObj[1])])
        .fromPairs()
        .value();
    acc.push(item);
    return acc;
}
exports.rowFormatted = rowFormatted;
function valueFormatted(val) {
    const valTemp = _.toLower(val);
    if (_.includes(["true", "yes"], valTemp)) {
        val = true;
    }
    if (_.includes(["false", "no"], valTemp)) {
        val = false;
    }
    if (typeof valTemp === "string" && valTemp.length === 0) {
        val = undefined;
    }
    return val;
}
//# sourceMappingURL=utils.js.map